package com.hzs.system.sys.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hzs.common.domain.system.sys.SysUserCountry;
import com.hzs.common.domain.system.sys.ext.SysUserCountryExt;
import com.hzs.system.sys.mapper.SysUserCountryMapper;
import com.hzs.system.sys.service.ISysUserCountryService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 用户国家权限 服务实现类
 *
 * @author hzs
 * @since 2022-08-15
 */
@Service
public class SysUserCountryServiceImpl extends ServiceImpl<SysUserCountryMapper, SysUserCountry> implements ISysUserCountryService {

    @Override
    public SysUserCountry queryDefaultUserCountry(Long userId) {
        return baseMapper.queryDefaultUserCountry(userId);
    }

    @Override
    public List<SysUserCountryExt> queryUserCountry(Long userId) {
        return baseMapper.queryUserCountry(userId);
    }

    @Override
    public int checkUserCountry(Long userId, Integer pkCountry) {
        return baseMapper.checkUserCountry(userId, pkCountry);
    }

}
